This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 870052 - rhevm-manage-domains -passwordFile=<existing empty file> give exception.
rhevm-manage-domains -passwordFile=<existing empty file> give exception.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Ravi Nori
Pavel Stehlik
infra
: ZStream
Depends On:
Blocks: 880020 915537
  Show dependency treegraph
 
Reported: 2012-10-25 09:37 EDT by Ilanit Stein
Modified: 2016-02-10 14:20 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 880020 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ilanit Stein 2012-10-25 09:37:25 EDT
Description of problem:

Running rhevm-manage-domains with -passwordFile=pass, when pass is existing empty file, give jave exception:


[root@lilach-rhel yum.repos.d]# rhevm-manage-domains  -action=add -addPermissions -domain=qa.lab.tlv.redhat.com -user=vdcadmin  -passwordFile=pass  -provider=activeDirectory
Error:  exception message: java.lang.NullPointerException
        at org.ovirt.engine.core.utils.kerberos.KerberosConfigCheck$KerberosUtilCallbackHandler.handle(KerberosConfigCheck.java:85)
        at javax.security.auth.login.LoginContext$SecureCallbackHandler$1.run(LoginContext.java:969)
        at javax.security.auth.login.LoginContext$SecureCallbackHandler$1.run(LoginContext.java:966)
        at java.security.AccessController.doPrivileged(Native Method)
        at javax.security.auth.login.LoginContext$SecureCallbackHandler.handle(LoginContext.java:965)
        at com.sun.security.auth.module.Krb5LoginModule.promptForPass(Krb5LoginModule.java:870)
        at com.sun.security.auth.module.Krb5LoginModule.attemptAuthentication(Krb5LoginModule.java:715)
        at com.sun.security.auth.module.Krb5LoginModule.login(Krb5LoginModule.java:580)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:601)
        at javax.security.auth.login.LoginContext.invoke(LoginContext.java:784)
        at javax.security.auth.login.LoginContext.access$000(LoginContext.java:203)
        at javax.security.auth.login.LoginContext$4.run(LoginContext.java:698)
        at javax.security.auth.login.LoginContext$4.run(LoginContext.java:696)
        at java.security.AccessController.doPrivileged(Native Method)
        at javax.security.auth.login.LoginContext.invokePriv(LoginContext.java:695)
        at javax.security.auth.login.LoginContext.login(LoginContext.java:594)
        at org.ovirt.engine.core.utils.kerberos.KerberosConfigCheck.checkAuthentication(KerberosConfigCheck.java:225)
        at org.ovirt.engine.core.utils.kerberos.KerberosConfigCheck.authenticate(KerberosConfigCheck.java:216)
        at org.ovirt.engine.core.utils.kerberos.KerberosConfigCheck.validateKerberosInstallation(KerberosConfigCheck.java:155)
        at org.ovirt.engine.core.utils.kerberos.KerberosConfigCheck.checkInstallation(KerberosConfigCheck.java:144)
        at org.ovirt.engine.core.utils.kerberos.ManageDomains.checkKerberosConfiguration(ManageDomains.java:628)
        at org.ovirt.engine.core.utils.kerberos.ManageDomains.testConfiguration(ManageDomains.java:778)
        at org.ovirt.engine.core.utils.kerberos.ManageDomains.addDomain(ManageDomains.java:440)
        at org.ovirt.engine.core.utils.kerberos.ManageDomains.runCommand(ManageDomains.java:238)
        at org.ovirt.engine.core.utils.kerberos.ManageDomains.main(ManageDomains.java:166)

Failure while testing domain qa.lab.tlv.redhat.com. Details: Kerberos error. Please check log for further details.


Version-Release number of selected component (if applicable):
SI22

How reproducible:
100%

Expected results:
Give just error which is user understandable & readble.
Comment 1 Ravi Nori 2012-11-01 00:28:22 EDT
link : http://gerrit.ovirt.org/#/c/8965/

hash : cd3bc4ca2faca9efb46ec402093649b1f4af8c06
Comment 3 Oded Ramraz 2013-01-24 11:13:53 EST
[root@aqua-rhel yum.repos.d]# rhevm-manage-domains -action=add -domain=qa.lab.tlv.redhat.com -user=vdcadmin -provider=ActiveDirectory -passwordFile=/tmp/ll -addPermissions 
password file is empty


Verified sf4
Comment 4 Itamar Heim 2013-06-11 05:30:54 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 05:32:36 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:48:27 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.